Bug 952653 (CVE-2013-2426) - CVE-2013-2426 OpenJDK: ConcurrentHashMap incorrectly calls defaultReadObject() method (Libraries, 8009063)
Summary: CVE-2013-2426 OpenJDK: ConcurrentHashMap incorrectly calls defaultReadObject(...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2426
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20130416,repor...
Depends On:
Blocks: 950067
TreeView+ depends on / blocked
 
Reported: 2013-04-16 11:18 UTC by Stefan Cornelius
Modified: 2019-06-08 19:31 UTC (History)
3 users (show)

Fixed In Version: icedtea6 1.11.10, icedtea6 1.12.5, icedtea7 2.3.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 13:06:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 22:43:48 UTC
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 22:43:40 UTC
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:10:43 UTC
Red Hat Product Errata RHSA-2013:0770 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-04-24 21:57:30 UTC
Red Hat Product Errata RHSA-2013:0822 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:13:34 UTC

Description Stefan Cornelius 2013-04-16 11:18:57 UTC
It was discovered that the ConcurrentHashMap class incorrectly calls the defaultReadObject() method. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2013-04-16 22:18:32 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in Oracle Java SE 7u21.

Comment 2 errata-xmlrpc 2013-04-17 18:46:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 3 errata-xmlrpc 2013-04-17 18:48:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 4 Stefan Cornelius 2013-04-17 20:56:44 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/98ad2f1e25d1

Comment 5 errata-xmlrpc 2013-04-18 18:30:34 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 6 errata-xmlrpc 2013-04-24 18:00:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0770 https://rhn.redhat.com/errata/RHSA-2013-0770.html

Comment 8 errata-xmlrpc 2013-05-14 18:04:55 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html


Note You need to log in before you can comment on or make changes to this bug.